Skip to main content
GET
Pipeline Execution Details

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required
pipelineExecutionId
string<uuid>
required

Response

Pipeline execution details have been retrieved

environmentName
string

The name of the environment the pipeline was executed in

Example:

"Dev"

finishedAt
string<date-time>

The time the pipeline execution finished

message
string

The message returned by the pipeline execution

Example:

"\"Rewrite Table\": Success"

pipelineExecutionId
string

The ID of the pipeline execution

Example:

"fd05a6c4-b3e1-4441-86a2-044d5092731d"

pipelineName
string

The name of the pipeline executed

Example:

"My Pipeline"

pipelineType
string

The type of pipeline executed

Example:

"ORCHESTRATION"

projectId
string

The id of the project the pipeline was executed in

Example:

"4a8a6162-702b-4efc-b2ec-c986e0bc95e4"

scheduleId
string

The id of the schedule that triggered the pipeline execution if trigger is SCHEDULE

Example:

"9e2a6b04-ddd7-4bb4-b7dc-56e3b6f3ed43"

startedAt
string<date-time>

The time the pipeline execution started

status
string

Status of executed pipeline

Example:

"RUNNING"

trigger
enum<string>

The trigger of the pipeline execution

Available options:
DESIGNER,
API,
SCHEDULE,
SCHEDULE_RUN_NOW,
UNKNOWN
Example:

"SCHEDULE"

user
string

The user that triggered the pipeline execution. Present when trigger is DESIGNER or SCHEDULE_RUN_NOW

Example:

"A User"